## dmbt 0.1.3

=== Makefile ===
DESTDIR=
prefix=/usr
perldir=${prefix}/lib/perl5
bindir=${prefix}/bin
mandir=${prefix}/share/man
man1dir=${mandir}/man1
man3dir=${mandir}/man3

LIBS= \
 Debbugs/DMBT.pm \
 Debbugs/DMBT/GUI.pm \
 Debbugs/RemoteBTS.pm \
 Debbugs/RemoteBTS/LDAP.pm \
 Debbugs/BugReport.pm \

PROGS= \
	dmbt

MAN1ROOTS=doc/dmbt
MAN1S=${MAN1ROOTS:=.1}

MANS=${MAN1S}

all: ${MANS}

install: install-progs install-libs install-docs

install-progs: ${PROGS}
	install -m755 -d ${DESTDIR}${bindir}
	install -m755 $^ ${DESTDIR}${bindir}

install-libs: ${LIBS}
	for lib in $^ ; do \
	  install -m755 -d ${DESTDIR}${perldir}/`dirname $$lib` ; \
	  install -m644 $$lib ${DESTDIR}${perldir}/`dirname $$lib` ; \
	done

install-docs: ${MANS}
	install -m755 -d ${DESTDIR}${man1dir}
	install -m644 ${MAN1S} ${DESTDIR}${man1dir}

clean:
	rm -rf ${MANS}

%.1: %.sgml
	docbook-to-man $< > $@

=== debian/changelog ===
dmbt (0.1.3) unstable; urgency=low

  * Install examples executable.
  * Changed description to say GNOME-based instead of GTK-based (Closes:
    #69607).
  * 0.1.0 bugs fixed in 0.1.1 were reported (Closes: #69629, #69857).

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Sep 2000 13:11:03 +0200

dmbt (0.1.2) unstable; urgency=low

  * Renamed DebBugs:: perl hierarchy to Debbugs:: to match Doogie's
    server-side modules.
  * Updated my old test programs and include them as examples.
  * List is now in a scrolled window.
  * Explicitely depend on libgtk-perl.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Aug 2000 01:30:39 +0200

dmbt (0.1.1) unstable; urgency=low

  * Fixed installation of perl modules.
  * Fixed arch to be "all", not "any".
  * Added Open/SaveAs dialogs.
  * Now has a small manpage.
  * Misc internal code improvements.

 -- Yann Dirson <dirson@debian.org>  Mon, 21 Aug 2000 01:29:22 +0200

dmbt (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Aug 2000 17:09:35 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "dirson@debian.org"
End:

=== debian/control ===
Source: dmbt
Section: devel
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.1.1

Package: dmbt
Architecture: all
Depends: ${perl:Depends}, libgnome-perl, libgtk-perl, libnet-ldap-perl, libxml-parser-perl, libxml-writer-perl
Description: Debian maintainer's bug-tool
 A GNOME-based tool and a set of perl packages to help
 a Debian maintainer manage the bugs reported against
 his/her packages.
 .
 This software is in the very early stages of development.
 All feedback will be appreciated.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# Check versions are consistently declared
SourceVersion=$(shell grep VERSION= Debbugs/DMBT/GUI.pm | cut -d\" -f2)
DebianVersion=$(shell dpkg-parsechangelog | grep ^Version | sed 's/Version: *//')

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all
	chmod +x examples/*
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	test "${SourceVersion}" = "${DebianVersion}"
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README TODO
	dh_installexamples examples/*.pl
	dh_installmenu
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
